FLANG

Public Member Functions | Static Public Member Functions | List of all members
fir::ReferenceType Class Reference

The type of a reference to an entity in memory. More...

`#include <flang/Optimizer/Dialect/FIRType.h>`

Inheritance diagram for fir::ReferenceType:

## Public Member Functions
mlir::Type | getEleTy () const

## Static Public Member Functions
static ReferenceType | get (mlir::Type elementType)
static bool | kindof (unsigned kind)
static mlir::LogicalResult | verifyConstructionInvariants (mlir::Location, mlir::Type eleTy)

## Detailed Description

The type of a reference to an entity in memory.

The documentation for this class was generated from the following files:

- include/flang/Optimizer/Dialect/FIRType.h
- lib/Optimizer/Dialect/FIRType.cpp